Mailinglist Archive: opensuse-factory (435 mails)

< Previous Next >
[opensuse-factory] New Tumbleweed snapshot 20200721 released!
  • From: Dominique Leuenberger <dimstar@xxxxxxx>
  • Date: Fri, 24 Jul 2020 22:01:23 +0000
  • Message-id: <159562808334.10123.14913429683086884775@go-agent-stagingbot-5>

Please note that this mail was generated by a script.
The described changes are computed based on the x86_64 DVD.
The full online repo contains too many changes to be listed here.

Please check the known defects of this snapshot before upgrading:
https://openqa.opensuse.org/tests/overview?distri=opensuse&groupid=1&version=Tumbleweed&build=20200721

Please do not reply to this email to report issues, rather file a bug
on bugzilla.opensuse.org. For more information on filing bugs please
see https://en.opensuse.org/openSUSE:Submitting_bug_reports

Packages changed:
Mesa (20.1.2 -> 20.1.3)
Mesa-drivers (20.1.2 -> 20.1.3)
MozillaFirefox
autoyast2 (4.3.24 -> 4.3.28)
ffmpeg-4
gnutls
krb5
libstorage-ng (4.3.34 -> 4.3.35)
libzypp (17.24.0 -> 17.24.1)
mpg123 (1.26.2 -> 1.26.3)
perl-XML-Twig
postfix
python-idna (2.9 -> 2.10)
python-lxml (4.5.1 -> 4.5.2)
python-pybind11
yast2 (4.3.14 -> 4.3.15)
yast2-add-on (4.3.1 -> 4.3.2)
yast2-auth-server (4.2.3 -> 4.2.4)
yast2-firstboot (4.3.0 -> 4.3.1)
yast2-installation (4.3.7 -> 4.3.9)
yast2-network (4.3.11 -> 4.3.13)
yast2-packager (4.3.3 -> 4.3.4)
yast2-trans (84.87.20200711.0b6571677e -> 84.87.20200718.91334c214c)
yast2-users (4.3.3 -> 4.3.4)

=== Details ===

==== Mesa ====
Version update (20.1.2 -> 20.1.3)
Subpackages: Mesa-dri-devel Mesa-libEGL1 Mesa-libGL1 Mesa-libglapi0 libgbm1

- update to 20.1.3
* third bugfix release for the 20.1 branch
* lots of updates to our testing infrastructure

==== Mesa-drivers ====
Version update (20.1.2 -> 20.1.3)
Subpackages: Mesa-dri Mesa-dri-nouveau Mesa-gallium Mesa-libva libvdpau_nouveau
libvdpau_r300 libvdpau_r600 libvdpau_radeonsi libvulkan_intel libvulkan_radeon
libxatracker2

- update to 20.1.3
* third bugfix release for the 20.1 branch
* lots of updates to our testing infrastructure

==== MozillaFirefox ====
Subpackages: MozillaFirefox-translations-common

- Add mozilla-libavcodec58_91.patch to link against updated
soversion of libavcodec (58.91) with ffmpeg >= 4.3.
(patch provided by Atri Bhattacharya <badshah400@xxxxxxxxx>
- enable MOZ_USE_XINPUT2 for TW (again) (boo#1173320)
(Plasma 5.19.3 is now in TW)

==== autoyast2 ====
Version update (4.3.24 -> 4.3.28)
Subpackages: autoyast2-installation

- Fix fallback for autoyast client name (bsc#1174119)
- 4.3.28
- Do not crash when wait section is not initialized (related to
bsc#1174173)
- 4.3.27
- Moving <files> section handling from second installation stage
to first installation stage. (bsc#1174194)
- 4.3.26
- Export more methods in AutoinstGeneral so it can be queried for
general autoyast settings (bsc#1174173)
- 4.3.25

==== ffmpeg-4 ====
Subpackages: libavcodec58_91 libavdevice58_10 libavfilter7_85 libavformat58_45
libavresample4_0 libavutil56_51 libpostproc55_7 libswresample3_7 libswscale5_7

- Add librav1e support

==== gnutls ====
Subpackages: libgnutls-dane0 libgnutls30 libgnutls30-32bit libgnutls30-hmac

- Correctly detect gmp, nettle, and hogweed libraries (bsc#1172666)
* add gnutls-detect_nettle_so.patch

==== krb5 ====
Subpackages: krb5-32bit krb5-client

- Do not mangle libexecdir, bindir, sbindir and datadir: there is
no reasonable justification to step out of the defaults.
+ No longer install csh/sh profiles into /etc/profiles.d: as we
not install to default paths, there is no need to further
inject paths into $PATH; also, now sbin binaries are only in
path for admin users.

==== libstorage-ng ====
Version update (4.3.34 -> 4.3.35)
Subpackages: libstorage-ng-lang libstorage-ng-ruby libstorage-ng1

- merge gh#openSUSE/libstorage-ng#761
- probe dax flag for disks
- verify devicegraph and pool name
- parse partition name in parted output
- use in-class member initialization
- 4.3.35

==== libzypp ====
Version update (17.24.0 -> 17.24.1)

- Fix bsc#1174011 auth=basic ignored in some cases (bsc#1174011)
Proactively send credentials if the URL specifes '?auth=basic'
and a username.
- ZYPP_MEDIA_CURL_DEBUG: Strip credentials in header log (bsc#1174011)
- version 17.24.1 (22)

==== mpg123 ====
Version update (1.26.2 -> 1.26.3)
Subpackages: libmpg123-0 mpg123-openal mpg123-pulse

- Update to version 1.26.3
* Fix accurate (--enable-int-quality)

==== perl-XML-Twig ====

- Security fix [bsc#1008644, CVE-2016-9180]
* Setting expand_external_ents to 0 or -1 currently doesn't work
as expected; To completely turn off expanding external entities
use no_xxe.
* Update documentation for XML::Twig to mention problems with
expand_external_ents and add information about new no_xxe argument
* Add test CVE-2016-9180.t
* Add test build-requirements:
perl-Test-Exception, perl-Text-Iconv, perl-Unicode-Map8
- Add perl-XML-Twig-CVE-2016-9180.patch

==== postfix ====
Subpackages: postfix-doc

- Add source verification (add postfix.keyring)

==== python-idna ====
Version update (2.9 -> 2.10)

- update to 2.10:
- Update to Unicode 13.0.0.
- Throws a more specific exception if "xn--" is provided as a label.
- This is expected to be the last version that supports Python 2.

==== python-lxml ====
Version update (4.5.1 -> 4.5.2)

- update to 4.5.2:
* ``Cleaner()`` now validates that only known configuration options can be
set.
* LP#1882606: ``Cleaner.clean_html()`` discarded comments and PIs regardless
of the
corresponding configuration option, if ``remove_unknown_tags`` was set.
* LP#1880251: Instead of globally overwriting the document loader in libxml2,
lxml now
sets it per parser run, which improves the interoperability with other
users of libxml2
such as libxmlsec.
* LP#1881960: Fix build in CPython 3.10 by using Cython 0.29.21.
* The setup options "--with-xml2-config" and "--with-xslt-config" were
accidentally renamed
to "--xml2-config" and "--xslt-config" in 4.5.1 and are now available again.

==== python-pybind11 ====

- Also expand generation of test binaries for Python 2 and 3,
fixes Leap 15.x builds where Python 2 is still built.

==== yast2 ====
Version update (4.3.14 -> 4.3.15)
Subpackages: yast2-logs

- Better management of libzypp repovars (eg. those enclosed in
curly brackets) introducing the new Y2Packager::ZyppUrl class
- Do not crash during the upgrade process if some repository URL
cannot be parsed (bsc#1172867)
- 4.3.15

==== yast2-add-on ====
Version update (4.3.1 -> 4.3.2)

- Do not export registered add-ons, as they should be included
in the <suse_register/> section of the profile (bsc#1174202).
- 4.3.2

==== yast2-auth-server ====
Version update (4.2.3 -> 4.2.4)

- Use available kdb5_ldap_util binary (either at /usr/lib/mit/sbin
or /usr/sbin).
- Related to bsc#1174078.
- 4.2.4

==== yast2-firstboot ====
Version update (4.3.0 -> 4.3.1)

- Fix firsboot_hostname client crash (bsc#1173298)
- 4.3.1

==== yast2-installation ====
Version update (4.3.7 -> 4.3.9)

- Moving <files> section handling from second installation stage
to first installation stage. (bsc#1174194)
- 4.3.9
- Do not use Profile.current unless necessary (bsc#1174173)
- 4.3.8

==== yast2-network ====
Version update (4.3.11 -> 4.3.13)

- Permit to write networking config changes without touching the
service and other components like the firewall (bsc#1173298)
- Permit dot characters in the hostname allowing to specify it as
a FQDN (bsc#1173298)
- 4.3.13
- Do not use Profile.current (bsc#1174173)
- 4.3.12

==== yast2-packager ====
Version update (4.3.3 -> 4.3.4)

- Handle variable expansion in repository name (bsc#1172477)
- 4.3.4

==== yast2-trans ====
Version update (84.87.20200711.0b6571677e -> 84.87.20200718.91334c214c)
Subpackages: yast2-trans-af yast2-trans-ar yast2-trans-bg yast2-trans-bn
yast2-trans-bs yast2-trans-ca yast2-trans-cs yast2-trans-cy yast2-trans-da
yast2-trans-de yast2-trans-el yast2-trans-en_GB yast2-trans-es yast2-trans-et
yast2-trans-fa yast2-trans-fi yast2-trans-fr yast2-trans-gl yast2-trans-gu
yast2-trans-hi yast2-trans-hr yast2-trans-hu yast2-trans-id yast2-trans-it
yast2-trans-ja yast2-trans-jv yast2-trans-ka yast2-trans-km yast2-trans-ko
yast2-trans-lo yast2-trans-lt yast2-trans-mk yast2-trans-mr yast2-trans-nb
yast2-trans-nl yast2-trans-pa yast2-trans-pl yast2-trans-pt yast2-trans-pt_BR
yast2-trans-ro yast2-trans-ru yast2-trans-si yast2-trans-sk yast2-trans-sl
yast2-trans-sr yast2-trans-sv yast2-trans-ta yast2-trans-th yast2-trans-tr
yast2-trans-uk yast2-trans-vi yast2-trans-wa yast2-trans-xh yast2-trans-zh_CN
yast2-trans-zh_TW yast2-trans-zu

- Update to version 84.87.20200718.91334c214c:
* New POT for text domain 'network'.
* New POT for text domain 'firstboot'.
* New POT for text domain 'autoinst'.
* New POT for text domain 'registration'.
* New POT for text domain 'network'.
* New POT for text domain 'installation'.
* New POT for text domain 'autoinst'.
* New POT for text domain 'users'.
* New POT for text domain 'packager'.
* New POT for text domain 'pkg-bindings'.

==== yast2-users ====
Version update (4.3.3 -> 4.3.4)

- Use available kadmin.local binary (either at /usr/lib/mit/sbin
or /usr/sbin).
- Related to bsc#1174078.
- 4.3.4


--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-factory+owner@xxxxxxxxxxxx

< Previous Next >
Follow Ups